import { jsx } from "react/jsx-runtime";
/* empty css                           */
import Chip from "../../../../node_modules/@mui/material/Chip/Chip.js";
function SubtleIconLabelBadges({
  label,
  icon,
  color,
  size,
  isIcon: _isIcon,
  ...args
}) {
  const getSubtleBadgesColor = (colorValue) => {
    switch (colorValue) {
      case "info":
        return "info-badge-subtle";
      case "error":
        return "error-badge-subtle";
      case "warning":
        return "warning-badge-subtle";
      case "success":
        return "success-badge-subtle";
      default:
        return "";
    }
  };
  return /* @__PURE__ */ jsx(
    Chip,
    {
      className: `impact_badges_icon_label_subtle ${getSubtleBadgesColor(
        color
      )} ${size === "small" ? "small-badge" : ""}`,
      icon,
      label,
      ...args
    }
  );
}
export {
  SubtleIconLabelBadges as default
};
